Summary: GNOME icon theme
Name: gnome-icon-theme
Version: 2.28.0
Release: 2%{?dist}
Source0: http://download.gnome.org/sources/gnome-icon-theme/2.28/%{name}-%{version}.tar.bz2
Source1: gnome-icon-theme-extra-device-icons-5.tar.bz2
Source2: legacy-icon-mapping.xml
Source3: window.png
Source4: gtk_print_icons.tar.bz2
License: GPL+
BuildArch: noarch
Group: User Interface/Desktops
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: icon-naming-utils >= 0.8.7
BuildRequires: pkgconfig
BuildRequires: gettext
BuildRequires: librsvg2
BuildRequires: intltool
Requires: hicolor-icon-theme
Requires: pkgconfig
Requires(post): gtk2 >= 2.6.2

# updated translations
# https://bugzilla.redhat.com/show_bug.cgi?id=589202
Patch0: gnome-icon-theme-translations.patch

%description
This package contains the default icon theme used by the GNOME desktop.

%prep
%setup -q
%patch0 -p1 -b .translations

%build
%configure --disable-hicolor-check

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

## remove these bogus files
rm -rf $RPM_BUILD_ROOT/usr/share/locale/*

# create symlinks for gtk stock icons, these are not really 'legacy'
# this uses the legacy-icon-mapping.xml file in cvs
cd $RPM_BUILD_ROOT/usr/share/icons/gnome
for size in 8x8 16x16 22x22 24x24 32x32 48x48 scalable; do
  (
  cd $size
  for context in *; do
    if [ -d $context ]; then
      (
      cd $context
      INU_DATA_DIR=$RPM_SOURCE_DIR /usr/bin/icon-name-mapping -c $context
      )
    fi
  done
  )
done

tar xj -C $RPM_BUILD_ROOT/usr/share/icons/gnome -f %{SOURCE1}

cp %{SOURCE3} $RPM_BUILD_ROOT/usr/share/icons/gnome/16x16/apps

tar xj -C $RPM_BUILD_ROOT/usr/share/icons/gnome -f %{SOURCE4}

%clean
rm -rf $RPM_BUILD_ROOT

%post
for dir in /usr/share/icons/*; do
  if test -d "$dir"; then
    if test -f "$dir/index.theme"; then
      /usr/bin/gtk-update-icon-cache --quiet "$dir" || :
    fi
  fi
done

%files
%defattr(-,root,root)
%doc COPYING AUTHORS
%{_datadir}/icons/gnome
#%{_datadir}/icons/hicolor/*
%{_datadir}/pkgconfig/gnome-icon-theme.pc


%changelog

